> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse Text

> Parse a text with placeholders. Context from conversation and profile. Currently supported placeholders are: $name$ -> profile.name $geburtsdatum$ -> profile.date_of_birth $telefon$ -> profile.phone_number $email$ -> profile.email $adresse$ -> profile.address $datum$ -> current date (e.g. 15.01.2020) $zeit$ -> current time (e.g. 18:30)



## OpenAPI

````yaml api-reference/openapi.json post /conversations/{id}/parse-text
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /conversations/{id}/parse-text:
    post:
      tags:
        - conversations
      summary: |
        Parse a text with placeholders. Context from conversation and profile.
        Currently supported placeholders are:
        $name$ -> profile.name
        $geburtsdatum$ -> profile.date_of_birth
        $telefon$ -> profile.phone_number
        $email$ -> profile.email
        $adresse$ -> profile.address
        $datum$ -> current date (e.g. 15.01.2020)
        $zeit$ -> current time (e.g. 18:30)
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  example: Name of profile is $name$.
                nullable_fields:
                  description: >
                    Optional list of fields which can be null. Otherwise a
                    validation error will be thrown for fields

                    which cannot be resolved. When a field is allowed to be null
                    / empty, it will be replaced by an

                    empty string. Field names may not contain the "$" delimiter.
                  type: array
                  items:
                    type: string
                  example:
                    - geburtsdatum
                    - adresse
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      text:
                        description: Parsed text.
                        type: string
                        example: Name of profile is John Doe.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````